<!DOCTYPE html>
<html lang="en">
<head>
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.1/css/bootstrap.min.css">
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/css/bootstrap.min.css" integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Task 28.60</title>
</head>
<script>
    "use strict";
    $(document).ready(function(){
        //REGION 1
        var gInput;
        var gPThongDiep;
        var gImg;
        //REGION 2
        onPageLoading();
        $("#btn-gui-thong-diep").on('click', onBtnGuiThongDiepClick);
        //REGION 3
        function onPageLoading(){
            "use strict";
            //truy vấn phẩn tử img 
            var vElementImg = $("#img-like-yellow");
            vElementImg.hide(); //sử dụng phương thức hide() ẩn phần tử img khi load trang
            //truy vấn phần tử thẻ p
            var vElementP = $("#p-Mesage");
            vElementP.hide(); //sử dụng phương thức hide() ẩn phần tử thẻ p
        }

        function onBtnGuiThongDiepClick(){
            "use strict";
            console.log("%cNút gửi thông điệp được ấn","color: orange");
            //b1 thu thập dữ liệu
            getData();
            //b2 kiểm tra dữ liệu
            var vIsCheck = validateData()
            if(vIsCheck){
                //b3 hiển thị thông tin
                displayInformation();
            }
        }
        //REGION 4
        //hàm thu thập dữ liệu
        function getData(){
            var vElementIpnThongDiep = $("#input-Message").val(); //truy vấn input 
            gInput = vElementIpnThongDiep;
            var vElementP = $("#p-Mesage");//truy xuất thẻ p
            gPThongDiep = vElementP
            var gElementImg = $("#img-like-yellow");//truy vấn img 
            gImg = gElementImg;
        }
        //kiểm tra dữ liệu
        function validateData(){
            if(gInput === ""){
                alert("Bạn chưa nhập thông điệp");
                return false;
            }
            return true;
        }
        //hàm hiển thị thông tin
        function displayInformation(){
            console.log("Value ô text: " + gInput); //hiển thị giá trị ô text vào console

            gPThongDiep.show(); //sử dụng phương thức show() để hiện thẻ p lúc đầu bị ẩn
            gPThongDiep.addClass('text-success');//sử dụng phương thức addClass() để thay đổi màu chữ của thẻ p
            gPThongDiep.text(gInput); //thay nội dung thẻ p

            gImg.show();//sử dụng phương thức show() hiển thị ảnh lúc ban đầu bị ẩn

        }
    });
</script>
<body>
    <div class="container">
        <h1 class="font-weight-bold" id= "h1-tieu-de">Chào mừng bạn đến với Devcamp120</h1>
        <div class="row">
            <div class="col-4.5">
                <img id = "img-programing" src = "images/programing.png.png">
                <br> <br>
                <label id= "label-Message">Message cho bạn 12 tháng tới</label>
                <br>
                <input id= "input-Message" placeholder= "Nhập thông điệp ..." class="form-control">
                <br>
                <button id= "btn-gui-thong-diep">Gửi thông điệp</button>
                <br><br>
                <div class="row">
                    <div class="col-4">
                        <p id= "p-Mesage" >Hiển thị thông điệp tại đây</p>
                        <img id= "img-like-yellow" src = "images/like-yellow-icon.png.png" class="w-50 h-20">
                    </div>
                </div>
            </div>
        </div>
    </div>
</body>
</html>